QGIS Application - Bug report #15355

'Evaluate default values on provider side’ issue using PostGIS

2016-07-27 11:37 AM - R. R.

Status: Closed
Priority: Normal
Assignee:

Category: Data Provider

Affected QGIS version:2.16.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No
fixed/implemented

Copied to github as #: 23287

Description

After enabeling 'Evaluate default values on provider side' in the project properties, newly added PostGIS features can not be saved (see

screencast).

Associated revisions

Revision 02c8ac8d - 2017-05-13 08:42 AM - Matthias Kuhn

Fix non-dynamic default values

Fix #15355

History

#1 - 2016-11-18 02:19 AM - Nicolas Boisteault

I confirm the bug still exists in 2.18.

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-12 05:41 PM - Matthias Kuhn

- Category set to Data Provider

Pull request open

https://github.com/qgis/QGIS/pull/4546

#4 - 2017-05-13 08:42 AM - Anonymous
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|02c8ac8dda959ab2c91ce25dd2be114b68a69b67.
https://github.com/qgis/QGIS/pull/4546

#5 - 2017-05-15 04:46 PM - Giovanni Manghi
- Resolution set to fixed/implemented

Files

15355.mp4

2025-04-27

2.19 MB

2016-07-27

22

R.R.



